{% load static %}
{% load i18n %}

{% block content %}

  <div id="divModal_forcing" class="modal fade" role="dialog" data-backdrop="static" data-keyboard="false">
    <div class="vertical-alignment-helper">
      <div class="modal-dialog vertical-align-center">
        <!-- Modal content-->
        <div class="modal-content">
          <div class="modal-header drag">
            <button type="button" class="close fechar" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">{% trans "Fechar" %}</span></button>
            <span class="modal-title"><span id="formLabel"></span><input id="sid" type="hidden" /></span>
          </div>
          <div class="modal-body">

            {% for form in forms %}
              {% for field in form.visible_fields %}
                {% if not 'lat' in field.auto_id and not 'lon' in field.auto_id and not 'id_sources' in field.auto_id %}
                <div class="fieldWrapper">
                  {{ field.label_tag }} {{ field }}
                </div>
                {% else %}
                <div class="fieldWrapper divinline" style="padding-top: 0;">
                  {{ field.label_tag }} {{ field }}
                  {% if field.help_text %}
                  <h5 class="text-info">{{ field.help_text|safe }}</h5>
                  {% endif %}
                  <h5 class="text-warning">{{ field.errors }}</h5>
                </div>
                {% endif %}
              {% endfor %}
              {% for hidden in form.hidden_fields %}
              {{ hidden }}
              {% endfor %}
            {% endfor %}
            <br>
            <div>
              {{ form_source.0.ftype.label_tag }}
            </div>

            <div class="tab-content">
              <ul class="nav nav-pills nav-justified">
                <li class="active">
                    <a href="#flux" role="tab" data-toggle="tab">{% trans "Fluxo" %}</a>
                </li>
                {% if "3d" in baroclinic_type %}
                <li>
                  <a href="#temp" role="tab" data-toggle="tab">{% trans "Temperatura" %}</a>
                </li>
                <li>
                  <a href="#salt" role="tab" data-toggle="tab">{% trans "Salinidade" %}</a>
                </li>
                {% endif %}
                {% if "fecal" in wq_type %}
                <li>
                  <a href="#ecoli" role="tab" data-toggle="tab">{% trans "E-coli" %}</a>
                </li>
                <li>
                  <a href="#enterococcus" role="tab" data-toggle="tab">{% trans "Enterococcus" %}</a>
                </li>
                {% endif %}
                {% if "generic" in wq_type %}
                <li>
                  <a href="#generic" role="tab" data-toggle="tab">{% trans "Traçador Genérico" %}</a>
                </li>
                {% endif %}
              </ul>

            <div id="tabs" class="tab-content">

              <div id="flux" class="tab-pane active martop">
                <label for="flux_input_0">
                    <input id="flux_input_0" name="flux_input" value="annual" type="radio" checked>
                    <b>{% trans "Fluxo médio anual" %}:</b>
                </label>
            
                {{ form_source.0.flux13 }}
                {% if form_source.0.flux13.help_text %}
                <br/><span class="text-info small" >{{ form_source.0.ecoli13.help_text|safe }}</span>
                {% endif %}
                <br/>
                <label for="flux_input_1">
                    <input id="flux_input_1" name="flux_input" value="monthly" type="radio">
                    <b>{% trans "Fluxo médio mensal" %}:</b>
                </label><br/>
                {% for field in form_source.0 %}
                {% if 'flux' in field.auto_id and not 'flux13' in field.auto_id %}
                <div class="divinline">
                    {{ field }}
                </div>
                {% if field.help_text %}
                <br/><span class="text-info small">{{ field.help_text|safe }}</span>
                {% endif %}
                {% endif %}
                {% endfor %}
                <div class="martop">
                  <label for="flux_input_2">
                      <input id="flux_input_2" name="flux_input" value="url" type="radio">
                      <b>{{ form_source.0.url.label_tag }}</b>
                  </label><br/>
                  {{ form_source.0.url }}
                  {% if form_source.0.url.help_text %}
                  <span class="text-info small">{{ form_source.0.url.help_text|safe }}</span>
                  {% endif %}
              </div>
            </div>

            {% if "3d" in baroclinic_type %}

            <div id="temp" class="tab-pane martop">
              <label for="temp_input_0">
                  <input id="temp_input_0" name="temp_input" value="annual" type="radio" checked>
                  <b>{% trans "Temperatura média anual" %}:</b>
              </label>
              {{ form_source.0.temp13 }}
              <br/>
              <label for="temp_input_1">
                  <input id="temp_input_1" name="temp_input" value="monthly" type="radio">
                  <b>{% trans "Temperatura média mensal" %}:</b>
              </label><br/>
              {% for field in form_source.0 %}
              {% if 'temp' in field.auto_id and not 'temp13' in field.auto_id %}
              <div class="divinline">
                  {{ field }}
              </div>
              {% endif %}
              {% endfor %}
              <div class="martop">
                <label for="temp_input_2">
                    <input id="temp_input_2" name="temp_input" value="url" type="radio">
                    <b>{{ form_source.0.url1.label_tag }}</b>
                </label><br/>
                {{ form_source.0.url1 }}
                {% if form_source.0.url1.help_text %}
                <span class="text-info small">{{ form_source.0.url1.help_text|safe }}</span>
                {% endif %}
              </div>
            </div>
            <div id="salt" class="tab-pane martop">
              <label for="salt_input_0">
                  <input id="salt_input_0" name="salt_input" value="annual" type="radio" checked>
                  <b>{% trans "Salinidade média anual" %}:</b>
              </label>
              {{ form_source.0.salt13 }}
              <br/>
              <label for="salt_input_1">
                  <input id="salt_input_1" name="salt_input" value="monthly" type="radio">
                  <b>{% trans "Salinidade média mensal" %}:</b>
              </label><br/>
              {% for field in form_source.0 %}
              {% if 'sal' in field.auto_id and not 'salt13' in field.auto_id %}
              <div class="divinline">
                  {{ field }}
              </div>
              {% endif %}
              {% endfor %}
              <div class="martop">
                <label for="salt_input_2">
                    <input id="salt_input_2" name="salt_input" value="url" type="radio">
                    <b>{{ form_source.0.url2.label_tag }}</b>
                </label><br/>
                {{ form_source.0.url2 }}
                {% if form_source.0.url2.help_text %}
                <span class="text-info small">{{ form_source.0.url2.help_text|safe }}</span>
                {% endif %}
              </div>
            </div>
            
            {% endif %}

            {% if "fecal" in wq_type %}
            <div id="ecoli" class="tab-pane martop">
              <label for="ecoli_input_0">
                  <input id="ecoli_input_0" name="ecoli_input" value="annual" type="radio" checked>
                  <b>{% trans "Contaminação por E-coli média anual" %}:</b>
              </label>
          
              {{ form_source.0.ecoli13 }}
              {% if form_source.0.ecoli13.help_text %}
              <br/><span class="text-info small" >{{ form_source.0.ecoli13.help_text|safe }}</span>
              {% endif %}
              <br/>
              <label for="ecoli_input_1">
                  <input id="ecoli_input_1" name="ecoli_input" value="monthly" type="radio">
                  <b>{% trans "Contaminação por E-coli média mensal" %}:</b>
              </label><br/>
              {% for field in form_source.0 %}
              {% if 'ecoli' in field.auto_id and not 'ecoli13' in field.auto_id %}
              <div class="divinline">
                  {{ field }}
              </div>
              {% if field.help_text %}
              <br/><span class="text-info small">{{ field.help_text|safe }}</span>
              {% endif %}
              {% endif %}
              {% endfor %}
              <div class="martop">
                <label for="ecoli_input_2">
                    <input id="ecoli_input_2" name="ecoli_input" value="url" type="radio">
                    <b>{{ form_source.0.url4.label_tag }}</b>
                </label><br/>
                {{ form_source.0.url4 }}
                {% if form_source.0.url4.help_text %}
                <span class="text-info small">{{ form_source.0.url4.help_text|safe }}</span>
                {% endif %}
              </div>
            </div>

            <div id="enterococcus" class="tab-pane martop">
              <label for="enterococcus_input_0">
                  <input id="enterococcus_input_0" name="enterococcus_input" value="annual" type="radio" checked>
                  <b>{% trans "Contaminação por Enterococcus média anual" %}:</b>
              </label>
          
              {{ form_source.0.enterococcus13 }}
              {% if form_source.0.enterococcus13.help_text %}
              <br/><span class="text-info small" >{{ form_source.0.enterococcus13.help_text|safe }}</span>
              {% endif %}
              <br/>
              <label for="enterococcus_input_1">
                  <input id="enterococcus_input_1" name="enterococcus_input" value="monthly" type="radio">
                  <b>{% trans "Contaminação por Enterococcus média mensal" %}:</b>
              </label><br/>
              {% for field in form_source.0 %}
              {% if 'enterococcus' in field.auto_id and not 'enterococcus13' in field.auto_id %}
              <div class="divinline">
                  {{ field }}
              </div>
              {% if field.help_text %}
              <br/><span class="text-info small">{{ field.help_text|safe }}</span>
              {% endif %}
              {% endif %}
              {% endfor %}
              <div class="martop">
                <label for="enterococcus_input_2">
                    <input id="enterococcus_input_2" name="enterococcus_input" value="url" type="radio">
                    <b>{{ form_source.0.url5.label_tag }}</b>
                </label><br/>
                {{ form_source.0.url5 }}
                {% if form_source.0.url5.help_text %}
                <span class="text-info small">{{ form_source.0.url5.help_text|safe }}</span>
                {% endif %}
              </div>
            </div>
            {% endif %}

            {% if "generic" in wq_type %}
            <div id="generic" class="tab-pane martop">
              <label for="generic_input_0">
                  <input id="generic_input_0" name="generic_input" value="annual" type="radio" checked>
                  <b>{% trans "Concentração média genérica anual" %}:</b>
              </label>
          
              {{ form_source.0.generic13 }}
              {% if form_source.0.generic13.help_text %}
              <br/><span class="text-info small" >{{ form_source.0.generic13.help_text|safe }}</span>
              {% endif %}
              <br/>
              <label for="generic_input_1">
                  <input id="generic_input_1" name="generic_input" value="monthly" type="radio">
                  <b>{% trans "Concentração média genérica mensal" %}:</b>
              </label><br/>
              {% for field in form_source.0 %}
              {% if 'generic' in field.auto_id and not 'generic13' in field.auto_id %}
              <div class="divinline">
                  {{ field }}
              </div>
              {% if field.help_text %}
              <br/><span class="text-info small">{{ field.help_text|safe }}</span>
              {% endif %}
              {% endif %}
              {% endfor %}
              <div class="martop">
                <label for="generic_input_2">
                    <input id="generic_input_2" name="generic_input" value="url" type="radio">
                    <b>{{ form_source.0.url3.label_tag }}</b>
                </label><br/>
                {{ form_source.0.url3 }}
                {% if form_source.0.url3.help_text %}
                <span class="text-info small">{{ form_source.0.url3.help_text|safe }}</span>
                {% endif %}
              </div>
            </div>
            {% endif %}

            </div>

            <div id="form_errors" class="alert alert-danger"></div>

            <div class="modal-footer">
              <button type="button" class="btn btn-default fechar" data-dismiss="modal">{% trans "Fechar" %}</button>
              <button id="btn_apply" class="btn btn-primary"><span id="applyLabel"></span></button>
            </div>
          </div>

        </div>
        </div>
      </div>
    </div>
  </div>


  <!-- JQuery UI - IMPORTANT - custom build without tooltip widget (conflict with Bootstrap) -->
  <link rel="stylesheet" href="{% static 'vendor/jquery/jquery-ui-1.12.1.min.css' %}">
  <script src="{% static 'vendor/jquery/jquery-ui-1.12.1.min.js' %}"></script>
  <script type="text/javascript">
    // Make this Modal window draggable to allow map visualization
    $('#divModal_forcing').draggable({handle: '.modal-header'});
  </script>

{% endblock content %}